Reply to topic

Trying to build kde-baseapps over kdelibs Frameworks on QT5

nerdopolis
Registered Member
Posts
130
Karma
0
OS
nerdopolis wrote:
šumski wrote:For 4.x i believe flags are from FindKDE4Internal.cmake:
http://quickgit.kde.org/index.php?p=kde ... rnal.cmake
Code: Select all
 set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common")
   # As of Qt 4.6.x we need to override the new exception macros if we want compile with -fno-exceptions
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common")


I'll try that. It feels kind of weird to edit the cmake file itself, but I'll give it a try!



Well now I get some other error, I don't know if it's because I'm missing something, or if I'm building kdelibs wrong...
Code: Select all
[  0%] Built target konqueror-handbook
In file included from /srcbuild/kde-baseapps/lib/konq/konq_sound.cc:26:0:
/usr/include/kpluginfactory.h:263:5: error: ‘Q_DECL_CONSTRUCTOR_DEPRECATED’ does not name a type
/usr/include/kpluginfactory.h:270:14: error: ‘Q_DECL_CONSTRUCTOR_DEPRECATED’ does not name a type
/srcbuild/kde-baseapps/lib/konq/konq_sound.cc:115:1: error: invalid application of ‘sizeof’ to incomplete type ‘QStaticAssertFailure<false>’
/srcbuild/kde-baseapps/lib/konq/konq_sound.cc:115:1: error: expected unqualified-id before string constant
make[2]: *** [lib/konq/CMakeFiles/konq_sound.dir/konq_sound.o] Error 1
make[1]: *** [lib/konq/CMakeFiles/konq_sound.dir/all] Error 2
make: *** [all] Error 2
User avatar bcooksley
Administrator
Posts
18688
Karma
83
OS
Unfortunately that error is beyond me. I would recommend either contacting the frameworks developers, or waiting until the frameworks themselves are in a state where KDE begins to port all applications to the frameworks.


System Settings and Device Actions KCM maintainer
Image
nerdopolis
Registered Member
Posts
130
Karma
0
OS
Ok. So I noticed on that ISO build, with that paticular error, the build of kdelibs itself also failed, (which is a bit weird because I had it building... maybe something changed in QT or kdelibs itself...) so that error was from building against Quantal's KDE 4.9.x! And I do apt-get build-dep kde-baseapps.

I guess I'll try in a week or so, but I do feel obligated to report back that that error was not from builing against frameworks...
User avatar bcooksley
Administrator
Posts
18688
Karma
83
OS
It is possible that kde-baseapps master currently depends upon new code introduced in kdelibs - or that a compilation failure was temporarily introduced into kde-baseapps.


System Settings and Device Actions KCM maintainer
Image
nerdopolis
Registered Member
Posts
130
Karma
0
OS
bcooksley wrote:It is possible that kde-baseapps master currently depends upon new code introduced in kdelibs - or that a compilation failure was temporarily introduced into kde-baseapps.


IDK. I got QT5 to build on another ISO build (by using an older mesa commit), and with QT5 built kdelibs frameworks failed again as well as kde-baseapps... I guess I'll just wait it out and try later... I guess kdelibs frameworks still isn't ready/focused on QT5...
User avatar bcooksley
Administrator
Posts
18688
Karma
83
OS
kdelibs frameworks is intended to be built with both Qt 4 and Qt 5, however at this time due to the nature of the changes being made as part of the frameworks it is common for the build to become accidentally broken.


System Settings and Device Actions KCM maintainer
Image
nerdopolis
Registered Member
Posts
130
Karma
0
OS
I gave another go at a build.
This time QT5 built
kdelibs built, but what's weird is that dispite passing -DQT5_BUILD=TRUE to cmake, now it just seems to ignore it, and use QT4 in /usr,
which I can verify by looking at the logged output saying QT5_BUILD is a manually specified variable not used by the project!

Did the option change?



Also, When I try to run something I built though, the terminal gets flooded with the likes of:
KConfigIni: in file /boot/initrd.img-3.5.0-14 generic, line 12892: " "Invalid escape sequence "\:"."
This loops, and the kde programs I try never gets past it.

I have NO idea why it would be trying to parse the initrd file! I tried a search, and it doesn't seem like many people really have a solution...
nerdopolis
Registered Member
Posts
130
Karma
0
OS
The option: -DQT5_BUILD=TRUE still doesn't work anymore
http://community.kde.org/index.php?titl ... s/Building still says to use it, but now it's an unrecongized CMAKE option.

Did the option change, or is this a bug I should report, or something else?
User avatar bcooksley
Administrator
Posts
18688
Karma
83
OS
Support for the -DQT5_BUILD option has been removed I believe, in favour of automatically detecting the version of Qt available.
To ensure it builds using Qt5, please make sure the qmake from Qt5 is earlier in PATH compared to the Qt4 qmake.


System Settings and Device Actions KCM maintainer
Image
nerdopolis
Registered Member
Posts
130
Karma
0
OS
bcooksley wrote:Support for the -DQT5_BUILD option has been removed I believe, in favour of automatically detecting the version of Qt available.
To ensure it builds using Qt5, please make sure the qmake from Qt5 is earlier in PATH compared to the Qt4 qmake.


Thanks. I realised that QT5 was failing really early in its build. Now that QT5 built, kdelibs uses qt5, but it seems there are some errors... It seems that the first error isn't causing the build to stop, and I get more before it stops at about 3%.
I guess I should wait a little more now. for this to stabilize...
User avatar bcooksley
Administrator
Posts
18688
Karma
83
OS
Assuming you are trying to build the Frameworks branch, can you please post the build errors you are getting?


System Settings and Device Actions KCM maintainer
Image
nerdopolis
Registered Member
Posts
130
Karma
0
OS
bcooksley wrote:Assuming you are trying to build the Frameworks branch, can you please post the build errors you are getting?


You assume correct. I am attempting to build the Frameworks. The last build attempt of the latest frameworks now errors out cleanly with:

Code: Select all
[  0%] Built target kfiltertest_automoc
Scanning dependencies of target klibloadertestmodule_automoc
Generating moc_klibloadertest_module.cpp
/srcbuild/kdelibs/kdecore/tests/kdirwatch_unittest.cpp:492: Error: Macro argument mismatch.
automoc4: process for /srcbuild/kdelibs/build/kdecore/tests/kdirwatch_unittest.moc failed: Unknown error
pid to wait for: 0
returning failed..
make[2]: *** [kdecore/tests/CMakeFiles/kdirwatch_unittest_automoc] Error 1
make[1]: *** [kdecore/tests/CMakeFiles/kdirwatch_unittest_automoc.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[  0%] Built target klibloadertest_automoc
[  0%] Built target klibloadertestmodule_automoc
[  0%] Built target kglobaltest_automoc
make: *** [all] Error 2
cp: cannot stat `/srcbuild/kdelibs/build/kdeui/tests/kcategorizedviewtest': No such file or directory
cp: cannot stat `/srcbuild/kdelibs/build/kdeui/tests/kcolorutilsdemo': No such file or directory
cp: cannot stat `/srcbuild/kdelibs/build/kdeui/tests/krulertest': No such file or directory
User avatar bcooksley
Administrator
Posts
18688
Karma
83
OS
That is an extremely unusual error message. What version of CMake do you have installed?


System Settings and Device Actions KCM maintainer
Image
nerdopolis
Registered Member
Posts
130
Karma
0
OS
bcooksley wrote:That is an extremely unusual error message. What version of CMake do you have installed?

Its cmake v2.8.9
User avatar bcooksley
Administrator
Posts
18688
Karma
83
OS
CMake 2.8.9 should definitely be new enough. If possible, I would recommend asking about this on #kde-devel on Freenode, or send an email to kde-frameworks-devel@kde.org to get assistance in fixing this.


System Settings and Device Actions KCM maintainer
Image

 
Reply to topic

Bookmarks



Who is online

Registered users: apater, Baidu [Spider], Bing [Bot], Exabot [Bot], Google [Bot], Majestic-12 [Bot], mmistretta, MSNbot Media, onesandzeros, shmerl, Uri_Herrera, Yahoo [Bot]